commit:     2a9825f0d60d25e97147763936c8fac74cdab37a
Author:     Ryan Fox <flewkey <AT> 2a03 <DOT> party>
AuthorDate: Mon Jul 19 17:20:13 2021 +0000
Commit:     Ryan Fox <flewkey <AT> 2a03 <DOT> party>
CommitDate: Mon Jul 19 17:31:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2a9825f0

gui-apps/foot: Bump to 1.8.2

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Ryan Fox <flewkey <AT> 2a03.party>

 gui-apps/foot/Manifest                                | 1 +
 gui-apps/foot/{foot-9999.ebuild => foot-1.8.2.ebuild} | 8 +++++---
 gui-apps/foot/foot-9999.ebuild                        | 8 +++++---
 3 files changed, 11 insertions(+), 6 deletions(-)

diff --git a/gui-apps/foot/Manifest b/gui-apps/foot/Manifest
index 3e1208198..a92fa1587 100644
--- a/gui-apps/foot/Manifest
+++ b/gui-apps/foot/Manifest
@@ -2,3 +2,4 @@ DIST foot-1.7.1.tar.gz 390533 BLAKE2B 
5eac8041ac5f46b71d8037550bcdd14899071e63fc
 DIST foot-1.7.2.tar.gz 392748 BLAKE2B 
effd72665c553fbf3687fdb17776b264a775311503d974d12b5de4f4b7d1b835755824781a345f29f4866a33f449c61990830452bdca101952ff8c490e37b5f2
 SHA512 
2acb46daca5840b3a9fb0fc7055f9234618d7d6884ce74fee382f3904136a85f5c17f7119449fd7943dba2ccce2dde9a62d13a1b363ee234765b6ab65d95e19b
 DIST foot-1.8.0.tar.gz 415924 BLAKE2B 
ec97a6b76f568770fd9011e2245aee9b96c8fc51fb11f022ce7cc8a40bae81d45172e5e435aeab4575a8123825481fe3537376ac700f7036ea4e7079a0844eac
 SHA512 
eb0e0c1b29490f60b241259819bb2e7ab4b847e1d5a1fe70a31e893d8588e82f04f184d88a91e77222aba6fb9473f10e20461278535b6de4c2f3345440354583
 DIST foot-1.8.1.tar.gz 428685 BLAKE2B 
10ad1adf67e3e7171cc60db3dd90a8bdb676f3df61c518f33150c893ee0a552e28b9647cbae03861b85bf4c8501785eaf8a984726a814da2866a06d1a71b3891
 SHA512 
62a4cc018e49e270b8d806ea5b5c17965428a0f943b814608c25eb674db6130bfedae2431ac0c61f9c8de6bd227859cedb032f0f573a1e0885938d11efbda4e4
+DIST foot-1.8.2.tar.gz 432906 BLAKE2B 
25dfa24df5e95a29b0cc19c0d67cd3025cee3cad03069feca748e580dc1a42e1e2c4eebee0c3549edf522d12da5bc80fd5947a0a7f28658e3f207b76562c60a2
 SHA512 
8442761f20d8d5e315c2cbf75c40a6fd8e449f6ce515a1a3aac2106b4c9d7c8257ed96b5e1808eb0e9fda448a2a1bbb6b55cfb8d7abd6acb184cabcdc43d5fa5

diff --git a/gui-apps/foot/foot-9999.ebuild b/gui-apps/foot/foot-1.8.2.ebuild
similarity index 82%
copy from gui-apps/foot/foot-9999.ebuild
copy to gui-apps/foot/foot-1.8.2.ebuild
index 765eecea4..dba0d9b5c 100644
--- a/gui-apps/foot/foot-9999.ebuild
+++ b/gui-apps/foot/foot-1.8.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2021 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -18,9 +18,10 @@ DESCRIPTION="A fast, lightweight and minimalistic Wayland 
terminal emulator"
 HOMEPAGE="https://codeberg.org/dnkl/foot";
 LICENSE="MIT"
 SLOT="0"
-IUSE="ime"
+IUSE="ime +grapheme-clustering"
 
 DEPEND="
+       dev-libs/libutf8proc
        dev-libs/wayland
        media-libs/fcft
        media-libs/fontconfig
@@ -42,6 +43,7 @@ BDEPEND="
 src_configure() {
        local emesonargs=(
                $(meson_use ime)
+               $(meson_feature grapheme-clustering)
                "-Dterminfo=disabled"
                "-Dwerror=false"
        )
@@ -50,5 +52,5 @@ src_configure() {
 
 src_install() {
        meson_src_install
-       mv "${D}/usr/share/doc/${PN}" "${D}/usr/share/doc/${PF}"
+       mv "${D}/usr/share/doc/${PN}" "${D}/usr/share/doc/${PF}" || die
 }

diff --git a/gui-apps/foot/foot-9999.ebuild b/gui-apps/foot/foot-9999.ebuild
index 765eecea4..dba0d9b5c 100644
--- a/gui-apps/foot/foot-9999.ebuild
+++ b/gui-apps/foot/foot-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2021 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -18,9 +18,10 @@ DESCRIPTION="A fast, lightweight and minimalistic Wayland 
terminal emulator"
 HOMEPAGE="https://codeberg.org/dnkl/foot";
 LICENSE="MIT"
 SLOT="0"
-IUSE="ime"
+IUSE="ime +grapheme-clustering"
 
 DEPEND="
+       dev-libs/libutf8proc
        dev-libs/wayland
        media-libs/fcft
        media-libs/fontconfig
@@ -42,6 +43,7 @@ BDEPEND="
 src_configure() {
        local emesonargs=(
                $(meson_use ime)
+               $(meson_feature grapheme-clustering)
                "-Dterminfo=disabled"
                "-Dwerror=false"
        )
@@ -50,5 +52,5 @@ src_configure() {
 
 src_install() {
        meson_src_install
-       mv "${D}/usr/share/doc/${PN}" "${D}/usr/share/doc/${PF}"
+       mv "${D}/usr/share/doc/${PN}" "${D}/usr/share/doc/${PF}" || die
 }

Reply via email to